com.orsoncharts.graphics3d

## Class LineObject3D

- java.lang.Object
- - com.orsoncharts.graphics3d.Object3D
  - - com.orsoncharts.graphics3d.LineObject3D

-     public class LineObject3D
      extends Object3D

  A line between two points in 3D space.
  Since:
    1.5

- - ### Field Summary

    - ### Fields inherited from class com.orsoncharts.graphics3d.Object3D

      `CLASS_KEY, COLOR_PREFIX, ITEM_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineObject3D(float x0, float y0, float z0, float x1, float y1, float z1, java.awt.Color color)` Creates a new `Line3D` instance.

  - ### Method Summary

    - ### Methods inherited from class com.orsoncharts.graphics3d.Object3D

      `addDoubleSidedFace, addFace, addFace, addFace, addVertex, addVertex, calculateEyeCoordinates, calculateProjectedPoints, createBar, createBox, createCube, createLabelObject, createOctahedron, createPieLabelMarkers, createPieSegment, createSphere, createTetrahedron, createYSheet, createZSheet, getColor, getColor, getFaceCount, getFaces, getOutline, getOutline, getProperty, getVertexCount, setOutline, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineObject3D

          public LineObject3D(float x0,
                              float y0,
                              float z0,
                              float x1,
                              float y1,
                              float z1,
                              java.awt.Color color)

      Creates a new `Line3D` instance.
      Parameters:
        `x0` - the x-coordinate for the start of the line.
        `y0` - the y-coordinate for the start of the line.
        `z0` - the z-coordinate for the start of the line.
        `x1` - the x-coordinate for the end of the line.
        `y1` - the y-coordinate for the end of the line.
        `z1` - the z-coordinate for the end of the line.
        `color` - the color (`null` not permitted).